import { library } from '@fortawesome/fontawesome-svg-core'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

library.add(
  require('@fortawesome/free-solid-svg-icons').faEnvelope,
  require('@fortawesome/free-solid-svg-icons').faGraduationCap,
  require('@fortawesome/free-solid-svg-icons').faHome,
  require('@fortawesome/free-solid-svg-icons').faList,
  require('@fortawesome/free-solid-svg-icons').faSpinner,
  require('@fortawesome/free-solid-svg-icons').faShieldAlt,
  require('@fortawesome/free-solid-svg-icons').faTrash,
  require('@fortawesome/free-solid-svg-icons').faFileAlt,
  require('@fortawesome/free-solid-svg-icons').faBell,
  require('@fortawesome/free-solid-svg-icons').faCheck,
  require('@fortawesome/free-solid-svg-icons').faTimes,
  require('@fortawesome/free-solid-svg-icons').faUpload,
  require('@fortawesome/free-solid-svg-icons').faDownload,
  // Brands
  require('@fortawesome/free-brands-svg-icons').faFontAwesome,
  require('@fortawesome/free-brands-svg-icons').faMicrosoft,
  require('@fortawesome/free-brands-svg-icons').faVuejs
)

export {
  FontAwesomeIcon
}
